Show / Hide Table of Contents

# Struct ImPtrVector<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPtrVector<T>

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

| Improve this Doc View Source

#### ImPtrVector(ImVector, Int32)

##### Declaration

    public ImPtrVector(ImVector vector, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
ImVector | vector |
System.Int32 | stride |

| Improve this Doc View Source

#### ImPtrVector(Int32, Int32, IntPtr, Int32)

##### Declaration

    public ImPtrVector(int size, int capacity, IntPtr data, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | size |
System.Int32 | capacity |
System.IntPtr | data |
System.Int32 | stride |

### Fields

| Improve this Doc View Source

#### Capacity

##### Declaration

    public readonly int Capacity

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Data

##### Declaration

    public readonly IntPtr Data

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Size

##### Declaration

    public readonly int Size

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public T this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
T |